dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
--LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

gameQueue = {

      eGAME_METER,
      eGAME_METER,
      eGAME_METER,
      eGAME_METER,

};
LManager:SetGameQueue(gameQueue);

-- skewed square formation
LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE9, 460, 490);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 4000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 44000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 84000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 124000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 134000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 194000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 14000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 33000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 54000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 164000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 24000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 54000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 74000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 104000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 154000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 1844000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 14000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 74000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 114000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 214000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 229000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(50000);

LManager:SetLevelNumber(1,5);
LManager:SetLevelScores(3100, 3800);
LManager:SetLevelTime(60000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();